This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 806013 - darkserver-kojiplugin fails to remove the temp dirs
darkserver-kojiplugin fails to remove the temp dirs
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: darkserver (Show other bugs)
el6
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: kushaldas@gmail.com
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 12:57 EDT by kushaldas@gmail.com
Modified: 2012-04-12 02:03 EDT (History)
2 users (show)

See Also:
Fixed In Version: darkserver-0.5.3-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-12 02:03:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kushaldas@gmail.com 2012-03-22 12:57:00 EDT
The kojiplugin is creating the temp directories but not removing them after it finishes the import.

Possible solution: Create the tempdirs before calling parserpm and remove them after.
Comment 1 kushaldas@gmail.com 2012-03-22 13:15:47 EDT
Fix committed on git head 6005fa29ebf4652dc23dd17f25ce4afa5568ec86.
Comment 2 Fedora Update System 2012-03-22 14:17:13 EDT
darkserver-0.5.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/darkserver-0.5.3-1.el6
Comment 3 Fedora Update System 2012-03-24 15:09:17 EDT
Package darkserver-0.5.3-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing darkserver-0.5.3-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-0864/darkserver-0.5.3-1.el6
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-04-12 02:03:27 EDT
darkserver-0.5.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.